# glance.async_.flows.ovf_process module

class glance.async_.flows.ovf_process.OVAImageExtractor

  Bases: `object`

  Extracts and parses the uploaded OVA package

  A class that extracts the disk image and OVF file from an OVA tar archive. Parses the OVF file for metadata of interest.

  extract(ova)

    Extracts disk image and OVF file from OVA package

    Extracts a single disk image and OVF from OVA tar archive and calls OVF parser method.

    Parameters:

      ova – a file object containing the OVA file

    Returns:

      a tuple of extracted disk file object and dictionary of properties parsed from the OVF file

    Raises:

      RuntimeError – an error for malformed OVA and OVF files

glance.async_.flows.ovf_process.get_flow(**kwargs)

  Returns task flow for OVF Process.

  Parameters:

    - task_id – Task ID

    - task_type – Type of the task.

    - image_repo – Image repository used.

this page last updated: 2026-04-16 16:57:26

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug